#!/bin/bash

LINK_FILES=(bashrc vimrc tmux.conf gitconfig)
mkdir ~/.home-git-back
for file in ${LINK_FILES[@]}; do
    [ -f ~/.${file} ] && mv -v ~/.${file} ~/.home-git-back
    ln -s $(PWD)/${file} ~/.${file}
done

# git clones
git clone https://github.com/magicmonty/bash-git-prompt.git ~/.bash-git-prompt

mkdir ~./vim
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle

vim -c ":PluginInstall" -c ":q" -c ":q"
